Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Interface IncrementalCommand

All Superinterfaces:
  Scheduler.RepeatingCommand

Deprecated. Replaced by `Scheduler.RepeatingCommand` and `Scheduler.scheduleIncremental()`

    @Deprecated
    public interface IncrementalCommand

extends Scheduler.RepeatingCommand

An `IncrementalCommand` is a command that is broken into one or more substeps, each substep brings the whole command nearer to completion. The command is complete when `execute()` returns `false`.

>     public class IncrementalCommandExample implements EntryPoint {

>       public void onModuleLoad() {
>         final Label label = new Label();

>         DeferredCommand.addCommand(new IncrementalCommand() {
>           private int index = 0;

>           protected static final int COUNT = 10;

>           public boolean execute() {
>             label.setText("IncrementalCommand - index " + Integer.toString(index));

>             return ++index < COUNT;
>           }
>         });
>       }
>     }

Method Summary
`boolean` | `execute()` Deprecated. Causes the `IncrementalCommand` to execute its encapsulated behavior.

Method Detail

### execute

    boolean execute()

  Deprecated.
  Causes the `IncrementalCommand` to execute its encapsulated behavior.

  Specified by:
    `execute` in interface `Scheduler.RepeatingCommand`
  Returns:
    `true` if the command has more work to do, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD